@echo off
echo Starting...

set PATH=%CD%\..\mingw\bin;%PATH%
REM Define this according to your configuration
set XTUMLMC_HOME=C:/mgc/BridgePoint/eclipse_extensions/Bridgepoint/eclipse/plugins/com.mentor.nucleus.bp.mc.mc3020_1.5.4/

echo Compiling Simulator...
set TEMP=%CD%
cd ..\src
gcc -c simulator.c
gcc -c robot.c
gcc -c interfaceSimulator.c
cd %TEMP%

echo Generating code from model...
%XTUMLMC_HOME%mc3020\bin\xtumlmc_build -l3s -c -d gen -o sumo -m sumo.xtuml -f sumo_domain.mark -f sumo_class.mark -f Makefile.user -f PIO_bridge.c -f TIM_bridge.h -f TIM_bridge.c -f bridge.clr  -f datatype.clr -f registry.clr -f sys_user_co.c -f sys_user_co.h -f system.clr
cd gen\sde

echo Compiling Program...
gcc -c *.c -I..\..\..\src

echo Linking...
gcc *.o ..\..\..\src\simulator.o ..\..\..\src\interfaceSimulator.o ..\..\..\src\robot.o -o simu.exe -lglu32 -lglut32 -lopengl32

move simu.exe ..\..

cd ..\..

echo Done.
