package lib;

import com.mentor.nucleus.bp.core.CorePlugin;

public class PIO {

	private enum directiontype {
		stop, go, left, right, forward, backward, straight;
	}
	
	private final static char GO=0;
	private final static char FORWARD=1;
	private final static char BACKWARD=2;
	private final static char LEFT=3;
	private final static char RIGHT=4;
	private final static char STOP=5;
	private final static char STRAIGHT=6;

	public static void go(Object direction, Object speed) {
		String strTypedEnumerator = (String) direction;
		int speedTyped = Integer.parseInt((String) speed);
		String enumeratorValue = strTypedEnumerator
				.substring(strTypedEnumerator.lastIndexOf(":") + 1);

		directiontype directionValue = Enum.valueOf(directiontype.class,
				enumeratorValue);

		switch (directionValue) {
		case stop:
			//CorePlugin.out.println("Stop : " + speedTyped);
			SimuInterface.go(STOP,speedTyped);
			break;
		case go:
			//CorePlugin.out.println("Go : " + speedTyped);
			SimuInterface.go(GO,speedTyped);
			break;
		case left:
			//CorePlugin.out.println("Left : " + speedTyped);
			SimuInterface.go(LEFT,speedTyped);
			break;
		case right:
			//CorePlugin.out.println("Right : " + speedTyped);
			SimuInterface.go(RIGHT,speedTyped);
			break;
		case forward:
			//CorePlugin.out.println("Forward : " + speedTyped);
			SimuInterface.go(FORWARD,speedTyped);
			break;
		case backward:
			//CorePlugin.out.println("Backward : " + speedTyped);
			SimuInterface.go(BACKWARD,speedTyped);
			break;
		case straight:
			//CorePlugin.out.println("Straight : " + speedTyped);
			SimuInterface.go(STRAIGHT,speedTyped);
			break;
		default:
			CorePlugin.err.println("Illegal enum value: " + directionValue);
		}
	}

	public static void turn(Object direction) {
		String strTypedEnumerator = (String) direction;
		String enumeratorValue = strTypedEnumerator
				.substring(strTypedEnumerator.lastIndexOf(":") + 1);

		directiontype directionValue = Enum.valueOf(directiontype.class,
				enumeratorValue);

		switch (directionValue) {
		case stop:
			//CorePlugin.out.println("Stop : " + speedTyped);
			SimuInterface.turn(STOP);
			break;
		case go:
			//CorePlugin.out.println("Go : " + speedTyped);
			SimuInterface.turn(GO);
			break;
		case left:
			//CorePlugin.out.println("Left : " + speedTyped);
			SimuInterface.turn(LEFT);
			break;
		case right:
			//CorePlugin.out.println("Right : " + speedTyped);
			SimuInterface.turn(RIGHT);
			break;
		case forward:
			//CorePlugin.out.println("Forward : " + speedTyped);
			SimuInterface.turn(FORWARD);
			break;
		case backward:
			//CorePlugin.out.println("Backward : " + speedTyped);
			SimuInterface.turn(BACKWARD);
			break;
		case straight:
			//CorePlugin.out.println("Straight : " + speedTyped);
			SimuInterface.turn(STRAIGHT);
			break;
		default:
			CorePlugin.err.println("Illegal enum value: " + directionValue);
		}
	}

	public static int light2() {
		return SimuInterface.light2();
	}

	public static boolean touch1() {
		//CorePlugin.err.println("touch1: "+SimuInterface.touch1());
		return SimuInterface.touch1();
	}

	public static boolean touch3() {
		//CorePlugin.err.println("touch3: "+SimuInterface.touch3());
		return SimuInterface.touch3();
	}
}
