package lib;

public class SimuInterface {
	/* Go */
	private native void goNative(int direction, int speed);

	public static void go(int direction, int speed) {
		new SimuInterface().goNative(direction, speed);
	}

	/* Turn */
	private native void turnNative(int speed);

	public static void turn(int speed) {
		new SimuInterface().turnNative(speed);
	}

	/* Light2 */
	private native int light2Native();

	public static int light2() {
		SimuInterface c = new SimuInterface();
		return c.light2Native();
	}

	/* Touch1 */
	private native boolean touch1Native();

	public static boolean touch1() {
		SimuInterface c = new SimuInterface();
		return c.touch1Native();
	}

	/* Touch3 */
	private native boolean touch3Native();

	public static boolean touch3() {
		SimuInterface c = new SimuInterface();
		return c.touch3Native();
	}
	
	static {
		System.loadLibrary("lib.SimuInterface");
	}
}
