#ifndef CONFIG_H_
#define CONFIG_H_

//------------------------------Public constants
/* World */
#define PLATFORM_RADIUS 20
#define WORLD_BORDER 10

/* Robot position from center on Z axis */
#define ROBOT_START_POSITION -2.5
/* Robot morphology */
#define ROBOT_SIZE 2
#define SIZE_SENSOR 0.5

/* Robot movements */
//#define STEP 0.000582353
//#define STEP 0.00002911765
#define STEP 0.00050
#define ROTATE_STEP 3
#define DEFAULT_SPEED 255

/* Touch sensors and buttons of the mouse */
#define UNPRESSED 0
#define PRESSED 1

/* Light sensor */
#define LINE_BRIGHTNESS 0
#define FIELD_BRIGHTNESS 100

/* IDLE Sleep duration in milliseconds */
#define IDLE_SLEEP 1

#endif /*CONFIG_H_*/
