#ifndef INTERFACE_SIMULATOR_H_
#define INTERFACE_SIMULATOR_H_

//------------------------------Public constants
#define NOT_INITIALIZED 0
#define INITIALIZED 1

//------------------------------Public attributes
/* Public is necessary for atomicity */
unsigned char initialized;

//------------------------------Public types
typedef enum {
	forward_direction,
	stop_direction,
	right_direction,
	left_direction,
	backward_direction,
	straight_direction,
	go_direction
} directiontype;

//------------------------------Public functions
void initialize();

void go(const directiontype, const int);

void turn(const directiontype);

int touch1();

int touch3();

int light2();

#endif /*INTERFACE_SIMULATOR_H_*/
